package com.vendor.burn.model.devices.burners.cam;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.commands.NetCommand;
import com.vendor.burn.commands.SerialCommand;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.model.devices.burners.EmmcBurner;
import com.vendor.burn.model.receive.ReceiveTimeOutException;
import com.vendor.burn.serial.workers.EmmcPartitionBurnerWorker;
import java.io.IOException;

public class CAMEmmcBurnerWorker extends EmmcPartitionBurnerWorker {
  public CAMEmmcBurnerWorker(EmmcBurner burner) {
    super(burner);
  }
  
  protected boolean setupNetwork(TransferWay transferWay) throws ReceiveTimeOutException {
    infoln("waiting phy ready, it will take 8s.");
    try {
      Thread.sleep(8000L);
    } catch (InterruptedException interruptedException) {}
    try {
      if (transferWay == TransferWay.UsbTransNet) {
        String usbTransNetCmd = "usb start";
        if (!sendCommand(usbTransNetCmd)) {
          returnError(Messages.Fastboot_NotSupportUsbTransNetWay);
          return false;
        } 
      } 
      NetCommand[] commands = buildNetCommands(transferWay);
      if (commands == null)
        return false; 
      for (NetCommand command : commands) {
        if (!sendCommand((SerialCommand)command))
          return false; 
      } 
      if (!setupTftpPort())
        return false; 
    } catch (IOException iOException) {}
    return true;
  }
}
